<div class="container">
    <div class="row">
        <div class="col-md-12">
            <h1>Cari Surat</h1>

            <form method="GET" class="form" action="{{@BASE}}{{'filter'|alias}}">
                <div class="form-group">
                    <label for="" class="control-label">Perihal, Pengirim, Penerima, atau yang lain:</label>
                    <input type="text" name="q" class="form-control input-lg" placeholder="Cari apapun di surat. contoh: mahasiswa" value="{{@GET.q}}">
                </div>
                <div class="row">
                    <div class="col-md-12">
                        Lebih spesifik lagi? Cukup kosongkan jika tidak di inginkan.
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="" class="control-label">Perihal:</label>
                            <input type="text" name="perihal" class="form-control" placeholder="(kosong)" value="{{@GET.perihal}}">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">No. Surat (mirip):</label>
                            <input type="text" name="nomor" class="form-control" placeholder="(kosong)" value="{{@GET.nomor}}">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Pengirim:</label>
                            <input type="text" name="pengirim" class="form-control" placeholder="(kosong)" value="{{@GET.pengirim}}">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Penerima:</label>
                            <input type="text" name="penerima" class="form-control" placeholder="(kosong)" value="{{@GET.penerima}}">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="" class="control-label">Tipe Surat:</label>
                            <select class="form-control" name="tipe">
                                <option value="">Semua</option>
                                <repeat group="{{(new \Model\Tipe())->find(['?', 1])}}" value="{{@tipe}}">
                                    <option value="{{@tipe->id_tipe}}" {{@GET.tipe==@tipe->id_tipe?"selected":""}}>{{@tipe->nama_tipe}}</option>
                                </repeat>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Peregistrasi:</label>
                            <input type="text" name="pengguna" class="form-control" placeholder="(kosong)">
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Arah:</label>
                            <select class="form-control" name="arah">
                                <option value="i" {{@GET.arah=='i'?"selected":""}}>Masuk</option>
                                <option value="o" {{@GET.arah=='o'?"selected":""}}>Keluar</option>
                                <option value="io" {{@GET.arah=='io' || !@GET.arah?"selected":""}}>Masuk dan Keluar?</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="" class="control-label">Tampilkan yang sudah dihapus?:</label><br/>
                            <label class="form-control-static text-danger"><input type="checkbox" name="show-deleted" {{@GET['show-deleted'] && !in_array(@GET['show-deleted'], ['off', 'false'])?"checked":""}}> Ya, tampilkan.</label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="" class="control-label">Dari Tanggal:</label>
                            <div class="input-group date">
                                <input type="text" class="form-control" name="date_start" placeholder="(kosong)" value="{{@GET.date_start}}">
                                <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <label for="" class="control-label">Hingga Tanggal:</label>
                            <div class="input-group date">
                                <input type="text" class="form-control" name="date_end" placeholder="(kosong)" value="{{@GET.date_end}}">
                                <span class="input-group-addon"><i class="glyphicon glyphicon-th"></i></span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-md-offset-3 text-center">
                        <input type="submit" value="Cari" class="btn btn-lg btn-primary">
                    </div>
                </div>
            </form>
            <script>
                $(document).ready(function(e){
                    $('.input-group.date').datepicker();
                });
            </script>
        </div>
    </div>
</div>